c...Kramer continuum model; R J Edgar; 3/27/96, after E. Tsiang
c...Returns flux in photons/cm^2/s; xspec supplies the normalization factor
c
c...The single parameter is Emax, the maximum energy in keV.
c
	subroutine kram(ear,ne,param,ifl,photar)
	integer ne,ifl
	real*4 ear(0:ne),param(*),photar(ne)

	real*4 emax,e,de
	integer i

	emax = param(1)
c
c	formula is (Emax/E-1.0) photons/cm^2/s/keV, so we need to
c		multiply by the bin width in keV

	do 10 i=1,ne
	  e = (ear(i-1) + ear(i))/2.
	  de = ear(i) - ear(i-1)
	  if (e.eq.0.0 .or. e.gt.emax) then
	    photar(i)=0.0
	  else
	    photar(i) = (emax/e - 1.) * de
	  endif
10	continue
	return
	end
c
c..Gene Tsiang's subroutine KRAMER from the JMKRAMER model
c      SUBROUTINE KRAMER(EMAX,ENERGY,ANS)
c     DOUBLE PRECISION ANS(512), EMAX, ENERGY(512)
c     INTEGER I
c     DO 10 I=1,512
c        IF (ENERGY(I) .EQ. 0) THEN
c           ANS(I)=0.0
c        ELSE 
c           ANS(I) = (EMAX/ENERGY(I) -1)
c        ENDIF
c10   CONTINUE
c     END
