cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c       Programmer: Eugene Y. Tsiang                                   c
c       AXAF Mission Support Team                                      c
c       Date: 8/26/96                                                  c
c       Change dates: 8/27/96
c       Place: Smithsonian Astrophysical Observatory, Cambridge, MA    c
c       Spectral Analysis Program for XSPEC Revision 6.00              c
c       Module name: ctmmgf.f                                          c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      double complex function ctmmgf(slap,mgf)
c moment generating function for continuum smoothed by mgf, at slap
      include 'params.for'
      external initje
      double complex slap, sglmgf, mgf, dMgf, mssng, tmpor 
      external mgf
      
      double precision reMgf(integral), imMgf(integral), tmpor1, tmpor2
      double precision oldE, twoMgf, sqrMgf
      integer k
            
c the array 'alldamp(nInt)' is already in place due to damper
c called in jmkmod

c start the recursion, do for incremental dEmax            
      oldE = eChar
c save the value of eChar

c the following three lines generate the missing factor (mssng)
c in Eq. 4.6 of the manual. SRS 4/29/98     

      eChar = eMin
      dMgf = sglmgf(slap, mgf)
      mssng = dMgf

c in the following statement eOff was added to correct
c for the error in the calculation of p's and q's in
c Eq. 4.8 in the Manual. SRS 4/29/98  

      eChar = dEmax + eOff
      dMgf = sglmgf(slap, mgf)
c convolve only bare mgfs with continuum 

      eChar = oldE
c reset eChar to its original value      


      reMgf(1) = one
      imMgf(1) = 0.
      reMgf(2) = dreal(dMgf)
      imMgf(2) = dimag(dMgf) 
      twoMgf = two*reMgf(2)
      sqrMgf = reMgf(2)*reMgf(2) + imMgf(2)*imMgf(2) 
      Do 300 k = 3, nInt       
          reMgf(k) = twoMgf*reMgf(k-1) - sqrMgf*reMgf(k-2)
          imMgf(k) = twoMgf*imMgf(k-1) - sqrMgf*imMgf(k-2)
  300 continue
c this generates the real and imaginary parts of mgf at different
c energies, for a fixed Laplace parameter slap
      
            
      tmpor1 = (reMgf(1)*alldamp(1) + reMgf(nInt)*alldamp(nInt))*half
      tmpor2 = (imMgf(1)*alldamp(1) + imMgf(nInt)*alldamp(nInt))*half
c Simpson's rule of integration

      do 400 k = 2, nInt1
          tmpor1 = tmpor1 + reMgf(k)*alldamp(k)
          tmpor2 = tmpor2 + imMgf(k)*alldamp(k)
  400 continue

      tmpor1 = tmpor1*dEmax
      tmpor2 = tmpor2*dEmax
c this normalization wrt dEmax may not be needed!

c multiplicative factor mssng was added on 4/29/98. SRS

      tmpor = dcmplx(tmpor1,tmpor2)
      ctmmgf = tmpor * mssng

c this is the continuum mgf for a fixed Laplace slap

      return
      end
