cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c       Programmer: Eugene Tsiang                                      c
c       AXAF Mission Support Team                                      c
c       Date: 8/26/96                                                  c
c       Place: Smithsonian Astrophysical Observatory, Cambridge, MA    c
c       Spectral Analysis Program for XSPEC Revision 6.00              c
c       Module name: initje.f                                          c
c       Modifications: 
c       Added polypro, Mn 9/11/96
c       9/16/96 Changed stddens to 4.4614113d-5
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      block data initJe
      include 'params.for'
      
c special nonelements:                      
c 'p1' is parylene
c 'p2' is polyimide
c 'p3' is mylar  (density wrong)
c 'p4' is teflon (polytetrafluoroethylene, CF2)
c 'p5' is pn (ammonium dihydrogen phosphate, density wrong)
c 'p6' is pvc (polyvinyl chloride, density wrong)
c 'p7' is polypropylene (CH2), density 0.9
c 'ks' is the kramers continuum
c 'sy' is the synchrotron radiation spectrum
c 'gx' is the germanium quantum efficiency
c 'ax' is the fpc p10 quantum efficiency
c 'mx' is the fpc methane quantum efficiency
c 'ea' is the effective area of the mirror
c 'gn' is the gaussian
c 'px' is the pella continuum
c 'un' is the all-pass (unity) filter
        
      data parylene/5/
      data polyimide/19/
      data polypro/47/
      data kramers/35/
      data synchro/36/
      data effarea/40/
      data ssdgerm/37/
      data fpcp10/38/
      data fpcmeth/39/
      data alplace/2/
      data cplace/6/
      data oplace/20/
      data hplace/21/
      data nplace/22/
      data arplace/23/
      data xeplace/24/
      data gnplace/41/
      data unplace/45/
      data geplace/32/
      data pella/42/
      data ice/48/
      
      data elemname/'mo','al','zr','cu','p1',
     1              'c' ,'be','b' ,'cr','fe',
     2              'ni','zn','mg','ti','ag',
     3              'in','v' ,'co','p2','o' ,
     4              'h' ,'n' ,'ar','xe','sn',
     5              'nb','w' ,'p3','p4','p5',
     6              'p6','ge','si','f' ,'ks',
     7              'sy','gx','ax','mx','ea',
     8              'gn','px','au','ir','un',
     9              'mn','p7','ic','pb','  '/

c Nominal aluminum thickness of fpc window is 2.d-6 cm or 200A
c Polyimide window is 1.065 microns thick
     
      data elemThick/ 2.0d-4, 1.0d-4, 2.0d-4, 0.5d-4, 0.0d0 ,
     1                2.5d-4, 2.0d-4, 1.0d-4, 1.0d-4, 0.6d-4,
     2                0.5d-4, 2.5d-4, 1.5d-3, 4.0d-4, 1.0d-4,
     3                5.0d-4, 2.0d-3, 2.5d-3, 1.065d-4, 0.0d0 ,
     4                0.0d0 , 0.0d0 , 0.0d0 , 0.0d0 , 1.0d-4,
     5                1.0d-4, 1.0d-4, 0.0d0 , 0.0d0 , 0.0d0 ,
     6                0.0d-4, 1.0d-4, 1.0d-4, 0.0d0 , 0.0d0 ,
     7                1.55d-4,1.0d-1, 5.36  , 5.36  , 0.0d0 ,
     8                0.0d0 , 0.0d0 , 1.d-4 , 1.d-4 , 0.0d0 ,
     9                1.0d-4, 1.d-4 , 1.d-4 , 1.d-5 , 0.0d0 /
  
      data elemWate/ 95.94000, 26.98154, 91.22000, 63.54600,  0.00000,
     1               12.01115,  9.01218, 10.81400, 51.99600, 55.84700,
     2               58.69000, 65.38700, 24.31000, 47.87900,107.86800,
     3              114.81800, 50.94150, 58.93300,  0.00000, 15.99940,
     4                1.00797, 14.00672, 39.94800,131.29000,118.69000,
     5               92.90640,183.85000,  0.00000,  0.00000,  0.00000,
     6                0.00000, 72.59000, 28.08550, 18.99840,  0.00000,
     7                0.00000,  0.00000,  0.00000,  0.00000,  0.00000,
     8                0.00000,  0.00000,196.96650,192.22000,  0.00000,     
     9               54.93805,  0.00000,  0.00000,207.19000,  0.00000/
      
      data elemDens/ 10.20,  2.70,  6.49,  8.96,  1.10,
     1                2.66,  1.82,  2.47,  7.19,  7.87,
     2                8.91,  7.13,  1.74,  4.51, 10.50,
     3                7.29,  6.09,  8.90,  1.44,  0.00,
     4                0.00,  0.00,  0.00,  0.00,  7.30,
     5                8.55, 19.30,  1.00,  1.00,  1.00,
     6                1.00,  5.32,  2.33,  0.00,  0.00,
     7                0.00,  0.00,  0.00,  0.00,  0.00,
     8                0.00,  0.00, 19.30, 22.50,  0.00,
     9                7.47,  0.95,  0.917, 11.40,  0.00/
      
      data mypi, pebble, half, one, two, torr, stddens, abzero/
     1    3.141592653589793,1.d-8,5.d-1, 1.d0, 2.d0, 760.0,
     2    4.4614113d-5, 273.15/

      data bessyEnorm, bessyBnorm, bessyInorm, fluxconst, boostnorm,
     1	enercrit/
     2	7.8e5, 1.45e4, 1., 6.139996366423063e6, 1526.406838302636,
     3  0.5866605793269655/

      end
