cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c       Programmer: Eugene Tsiang                                      c
c       AXAF Mission Support Team                                      c
c       Date: 8/26/96                                                  c
c       Place: Smithsonian Astrophysical Observatory, Cambridge, MA    c
c       Spectral Analysis Program for XSPEC Revision 6.00              c
c       Module name: 
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      subroutine invert(mgfarr, pdfarr)
c inverts a general mgf array mgfarr(tChan) 
c to give a real pdf pdfarr(tChan)
c max channel 4096*4 = 16384
      include 'params.for'
      external initje
          
      double precision dummy1, dummy2 
      integer i
      double precision dumarr(16384), pdfarr(tChan)
      double complex mgfarr(tChan)

*      print *, 'In invert, mgfarr = ', mgfarr     
                              
*      print *, 'In invert,', 'nchan = ', nchan
            
c convert double complex array mgfarr to single real array dumarr

      do 10 i = 1, tChan
          dumarr(2*i -1) = dble(mgfarr(i))
          dumarr(2*i) = dimag(mgfarr(i))
   10 continue               
*      print *, 'Before four1, dumarr = '
*      do 850 i = 1, tChan
*          print *,  dumarr(2*i-1), dumarr(2*i)
*  850 continue          
c Inverse Fourier transform
      call four1a(dumarr, tChan, -1)
*      print *, 'After four1, dumarr = '
*      do 860 i = 1, tChan
*          print *,  dumarr(2*i-1), dumarr(2*i)
*  860 continue          
                        
c take the absolute value, divide by tChan for correct normalization
      do 40 i = 1, tChan
      dummy1 = dumarr(2*i - 1)
      dummy2 = dumarr(2*i)
      pdfarr(i) = (dsqrt(dummy1*dummy1 + dummy2*dummy2))/tChan
   40 continue
      
      return
      end            
