cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c       Programmer: Eugene Tsiang                                      c
c       AXAF Mission Support Team                                      c
c       Date: 8/26/96                                                  c
c       Place: Smithsonian Astrophysical Observatory, Cambridge, MA    c
c       Spectral Analysis Program for XSPEC Revision 6.00              c
c       Module name: params.for, an include file
c       include file "params.for" defines all the common blocks     
c	10/9/96 added synchrotron block
c       12/30/96 added ice
c       12/31/96 added absolute switch and effective area parameters
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

c added 10/9/96 for synchrotron radiation
      common/bessyfac/yenergy, bessyEcrit, bessyfluxnorm,
     1    bessyEnorm, bessyBnorm, bessyInorm, bessyEnergy, bessyBfield,
     2    bessyI, boost, sind, boostsind, boostsind2,
     3    boostcosd, tand, enercrit, fluxconst, boostnorm,
     4    bfield, current, incline

      double precision bessyEcrit, bessyfluxnorm,
     1    bessyEnorm, bessyBnorm, bessyInorm, bessyEnergy, bessyBfield,
     2    bessyI, boost, sind, boostsind, boostsind2,
     3    boostcosd, tand, enercrit, fluxconst, boostnorm,
     4    bfield, current, incline

      double precision yenergy(512)
c above added 10/9/96 for synchrotron radiation, abswitch added 12/31/96

c added 12/31/96 effective area option
      common/hrma/phi, theta
      double precision phi, theta
      integer singlelimit
c above added 12/31/96 for hrma effective area

      integer integral, linelist, elemlist, srclist
c the array sizes for integration and number of lines,
c number of filter elements, number of source filters, initialized by
c blockdata statement     
      parameter (integral = 1024, elemlist = 50, singlelimit = 42,
     1    srclist = 16, linelist = 32)
c singlelimit was 42, 12/31/96

      double precision fano, polyaH, eOff, 
     1    ionEn, gain, dgain, shift, sigma
      common/modvar/   fano, polyaH, eOff, 
     1    ionEn, gain, dgain, shift, sigma
     
      double precision eChar, eWidth, eCont, eMax, eMin, contnorm,
     1    pulsepos, pulsesigma, pulsenorm,
     2    linenergy(linelist), linenorm(linelist)
      common/spread/eChar, eWidth, eCont, eMax, eMin, contnorm, 
     1    pulsepos, pulsesigma, pulsenorm, linenergy, linenorm
c WARNING! Make sure linenorm has enough room for all line AND
c continuum components!!!! 1/2/97
      
      double precision temper, pressure, argrat
      common/detfpc/temper, pressure, argrat
      
      integer shelfswitch, pulser, continuum, sestype, abswitch
      double precision t1norm, t2norm, shelfnorm, t1par, t2par
      common/shelf/t1norm, t2norm, shelfnorm, t1par, t2par,
     1	shelfswitch, abswitch, sestype, pulser, continuum
      
      integer pileup
      double precision pilepar                                           
      common/pur/ pilepar, pileup
                                                       
      character*2 elemName(elemlist)
      double precision elemWate(elemlist), elemDens(elemlist),
     1    elemThick(elemlist), optconst
      integer parylene,polyimide,polypro,kramers,synchro,effarea,
     1    ssdgerm,fpcp10,fpcmeth,gnplace,unplace,geplace, 
     2    oplace,hplace,nplace,arplace,xeplace,cplace,alplace,
     3    pella, ice

      common/elemname/
     1    elemName

      common/element/
     1    optconst, elemWate, elemDens, elemThick,
     2    parylene,polyimide,polypro,kramers,synchro,
     3    effarea,ssdgerm,fpcp10,fpcmeth,gnplace,unplace,geplace,
     4    oplace, hplace, nplace, arplace, xeplace, cplace, alplace,
     5    pella, ice
c initialized by blockdata statement

      integer srcstack(srclist)
      double precision srcthick(srclist), srcdamp(integral,srclist)
      common/filstack/srcstack, srcthick, srcdamp
      
      double precision mypi, pebble, half, one, two, torr, stddens,
     1    abzero
      common/diamond/mypi, pebble, half, one, two, torr, stddens,
     1    abzero
c initialized by blockdata statement

      double precision dEmax, eArray(integral), evArr(integral),
     1    alldamp(integral)
      common/enerMax/dEmax, eArray, evArr, alldamp
      
      integer nInt, nInt1, nChan, tChan, tChan1, numfilter, numcomp
      double precision deltaE
      double complex piDelt
      
      common/enint/piDelt, deltaE, 
     1	nInt, nInt1, nChan, tChan, tChan1, numfilter, numcomp

      common/flagship/eMaxOld, eMinOld, dEmaxOld, enerflag
      double precision eMaxOld, eMinOld, dEmaxOld
      integer enerflag
